Skip to main content
`Ctrl`+`K`

# DMPlexPartitionLabelCreateSF

Create a star forest from a label that assigns ranks to points

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelCreateSF(DM dm, DMLabel label, PetscBool sortRanks, PetscSF *sf)

## Input Parameters

- dm - The `DM`

- label - `DMLabel` assigning ranks to remote roots

- sortRanks - Whether or not to sort the `PetscSF` leaves by rank

## Output Parameter

- sf - The star forest communication context encapsulating the defined mapping

## Note

The incoming label is a receiver mapping of remote points to their parent rank.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLabel`, `PetscSF`, `DMPlexDistribute()`, `DMPlexCreateOverlap()`

## Level

developer

## Location

src/dm/impls/plex/plexpartition.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages